Debian Bug report logs - #660924
package manager sees version 2.0.0-1 as "older" than version 1:1.1.13-0.0

Package: vlc; Maintainer for vlc is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for vlc is src:vlc.

Reported by: james@nurealm.net

Date: Wed, 22 Feb 2012 21:27:16 UTC

Severity: normal

Tags: unreproducible

Done: Fabian Greffrath <fabian@greffrath.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660924; Package vlc. (Wed, 22 Feb 2012 21:27:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to james@nurealm.net:
New Bug report received and forwarded. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 22 Feb 2012 21:27:19 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: James <james@jasper.nurealm.net>
To: submit@bugs.debian.org, Christian Marillat <marillat@debian.org>, Reinhard Tartler <siretart@gmail.com>
Subject: package manager sees version 2.0.0-1 as "older" than version 1:1.1.13-0.0
Date: Wed, 22 Feb 2012 14:26:29 -0700
Package: vlc
Version: 2.0.0-1

Reinhard Tartler wrote:

> There has never been a version  1:1.1.13-0.0 in Debian.
> ...
> I don't see anything we can do about this problem, thus I'm closing this bug.

Well, Reinhard, with a "slap in the face" kind of response like that, I'm
inclined to denigrate your intelligence and your breeding.  But instead, let
me suggest that you try using "dpkg -p vlc" to actually inspect the displayed
"version" of the debian vlc package, on the line that begins with "Version":

	$ dpkg -p vlc
	Package: vlc
	Priority: optional
	Section: video
	Installed-Size: 3439
	Maintainer: Christian Marillat <marillat@debian.org>
	Bugs: mailto:marillat@debian.org
	Architecture: i386
	Source: vlc-dmo
	Version: 1:1.1.13-0.0
	Replaces: vlc-nox (<< 1.1.5-1)
	Provides: mp3-decoder
	Depends: ...
	...

Similarly, "dpkg -l vlc" shows:

	...
	ii  vlc			1:1.1.13-0.0	multimedia player and streamer

It may be informative to go to
	http://packages.debian.org/wheezy/vlc
and note that the package is listed as
	Package: vlc (1.1.13-1 and others)
noticing the similarity in "version" numbers.

Reinhard, if you don't know what to do about the problem, then let someone
more qualified handle it, instead of just "closing the bug".

In the meantime, synaptic, aptitude, and apt-get, still insist upon
"upgrading" from version 2 to version 1.  For instance, "aptitude upgrade"
gives:

	...
	Get: 3 http://www.debian-multimedia.org/ wheezy/main vlc i386 1:1.1.13-0.0 [1,392 kB]
	...
	Preparing to replace vlc 2.0.0-1 (using	.../vlc_1%3a1.1.13-0.0_i386.deb) ...
	Unpacking replacement vlc ...
	...

Is there a problem with the vlc package "version" numbers?  In the old
version?  In the new version?


James





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660924; Package vlc. (Thu, 23 Feb 2012 08:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 23 Feb 2012 08:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 660924@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: james@nurealm.net, 660924@bugs.debian.org
Cc: James <james@jasper.nurealm.net>, Christian Marillat <marillat@debian.org>, Reinhard Tartler <siretart@gmail.com>
Subject: Re: Bug#660924: package manager sees version 2.0.0-1 as "older" than version 1:1.1.13-0.0
Date: Thu, 23 Feb 2012 09:18:47 +0100
Am 22.02.2012 22:26, schrieb James:
> Well, Reinhard, with a "slap in the face" kind of response like that, I'm
> inclined to denigrate your intelligence and your breeding.  But instead, let

You didn't just write that to Reinhard and still expect anyone to help 
you get your screwed-up package dependencies right, he?

> Reinhard, if you don't know what to do about the problem, then let someone
> more qualified handle it, instead of just "closing the bug".

Let me give you a similar advice: You shouldn't fuck up your package 
dependency chain by installing unofficial packages from third-party 
repositories if you don't know what you are doing!

> 	Get: 3 http://www.debian-multimedia.org/ wheezy/main vlc i386 1:1.1.13-0.0 [1,392 kB]

Does this look like a Debian mirror to you?

> Is there a problem with the vlc package "version" numbers?  In the old
> version?  In the new version?

The 1:1.1.3-0.0 version on d-m.o has an epoch "1:" added to its 
version number that makes it always appear higher than the 2.0.0-1 one 
from the official Debian repository. That's the solution, no personal 
insult required.




Reply sent to Fabian Greffrath <fabian@greffrath.com>:
You have taken responsibility. (Thu, 23 Feb 2012 08:21:07 GMT) Full text and rfc822 format available.

Notification sent to james@nurealm.net:
Bug acknowledged by developer. (Thu, 23 Feb 2012 08:21:08 GMT) Full text and rfc822 format available.

Message #15 received at 660924-done@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: james@nurealm.net, 660924-done@bugs.debian.org
Cc: James <james@jasper.nurealm.net>, Christian Marillat <marillat@debian.org>, Reinhard Tartler <siretart@gmail.com>
Subject: Re: Bug#660924: package manager sees version 2.0.0-1 as "older" than version 1:1.1.13-0.0
Date: Thu, 23 Feb 2012 09:19:16 +0100
Forgot to close this nonsense again.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660924; Package vlc. (Fri, 24 Feb 2012 06:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to james@nurealm.net:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Fri, 24 Feb 2012 06:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 660924@bugs.debian.org (full text, mbox):

From: James <james@jasper.nurealm.net>
To: Fabian Greffrath <fabian@greffrath.com>, 660924@bugs.debian.org, Christian Marillat <marillat@debian.org>, Reinhard Tartler <siretart@gmail.com>
Subject: package manager sees version 2.0.0-1 as "older" than version 1:1.1.13-0.0
Date: Thu, 23 Feb 2012 22:59:55 -0700
Fabian, thanks for clearing-up the problem - actually very helpful!

> You didn't just write that to Reinhard and still expect anyone to help 
> you get your screwed-up package dependencies right, he?

Maybe...

> Let me give you a similar advice: You shouldn't fuck up your package 
> dependency chain by installing unofficial packages from third-party 
> repositories if you don't know what you are doing!

Ha!  Good advice.

>> Get: 3 http://www.debian-multimedia.org/ wheezy/main vlc i386 1:1.1.13-0.0 [1,392 kB]

> Does this look like a Debian mirror to you?

Actually, yes it does.  Remember - I don't know any better.  It is mostly the
word "debian" in the domain name that throws me off the path.

And then, after installing 2.0.0-1, "dpkg -p vlc" shows:

	Maintainer: Debian Multimedia Maintainers
	<pkg-multimedia-maintainers@lists.alioth.debian.org>

Attempting to "divine" the underlying distinction between "Debian Multimedia"
and "debian-multimedia", I came-up none the wiser.  Nor does the package
description seem to offer any deeper insight.

And, you know, at http://www.debian.org/trademark,

	... the Debian trademark is a registed United States trademark of
	Software in the Public Interest, Inc.

and, at
 http://lists.debian.org/debian-announce/debian-announce-1998/msg00006.html

	To be fair to all businesses, we insist that no business use the name
	"Debian" in the name of the business, or a domain name of the
	business.

So, yeah, using the name "debian", instead of "Debian" in the domain name
probably threw me off a bit too.

> The 1:1.1.3-0.0 version on d-m.o has an epoch "1:" added to its 
> version number that makes it always appear higher than the 2.0.0-1 one 
> from the official Debian repository. That's the solution, no personal 
> insult required.

Aha!

Hmm - but that still leaves me - naively, perhaps - expecting that the
"epoch 1:" should not do that, or rather, that the package managers - synaptic,
aptitude, and apt-get - should not do that.

Of course, whoever it is who actually created "1:1.1.13-0.0" isn't helping
things any - still not providing a "version 2" package, some guy with a
"debian.org" email address, who, as you say, is not actually the maintainer of
the official "debian" package - not to be confused with the "Debian Multimedia
Maintainers" who _are_ the official maintainers, but who don't have anything
to do with those other guys at "debian-multimedia".

I find the package documentation to be still a bit confusing...


James





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660924; Package vlc. (Fri, 24 Feb 2012 09:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Fri, 24 Feb 2012 09:03:04 GMT) Full text and rfc822 format available.

Message #25 received at 660924@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: james@nurealm.net, 660924@bugs.debian.org
Cc: James <james@jasper.nurealm.net>, Christian Marillat <marillat@debian.org>, Reinhard Tartler <siretart@gmail.com>
Subject: Re: Bug#660924: package manager sees version 2.0.0-1 as "older" than version 1:1.1.13-0.0
Date: Fri, 24 Feb 2012 09:58:46 +0100
Am 24.02.2012 06:59, schrieb James:
> Attempting to "divine" the underlying distinction between "Debian Multimedia"
> and "debian-multimedia", I came-up none the wiser.  Nor does the package
> description seem to offer any deeper insight.

In his response to your initial bug report #660814, the one that you 
took as motive for insulting him, Reinhard sent you a link to our Wiki 
that explains this very distinction. If you'd have read it, you'd know:
<http://wiki.debian.org/DebianMultimedia/FAQ#There_is_.27Debian_Multimedia_Maintainers.27_and_.27debian-multimedia.org.27._So_what.27s_the_difference.3F>

> So, yeah, using the name "debian", instead of "Debian" in the domain name
> probably threw me off a bit too.

In my (though limited) legal understanding the quoted passage 
restricts the use of the top-level domain "debian", e.g. debian.de or 
debian.co.uk. Nothing prevents you from randomly inserting the word 
"debian" into your TLD, e.g. debian-administration.org or debianforum.de.

> Hmm - but that still leaves me - naively, perhaps - expecting that the
> "epoch 1:" should not do that, or rather, that the package managers - synaptic,
> aptitude, and apt-get - should not do that.

No, the epoch is part of Debian's version number policy. It is 
perfectly alright for the package managers to consider it - it would 
be a severe bug if they didn't.

> Of course, whoever it is who actually created "1:1.1.13-0.0" isn't helping
> things any - still not providing a "version 2" package, some guy with a
> "debian.org" email address, who, as you say, is not actually the maintainer of
> the official "debian" package - not to be confused with the "Debian Multimedia
> Maintainers" who _are_ the official maintainers, but who don't have anything
> to do with those other guys at "debian-multimedia".

Yes, randomly adding an epoch to version numbers just to give your own 
package higher priority than the official one isn't really helpful, I 
agree.

But it's not *us* who did this, so there is nothing that *we* can do 
about it.  It's *you* who decided to install this very package from 
this repository. Now go read Reinhard's reply to your bug report again.

Furthermore, had you used "reportbug" to file the bug report (as 
recommended) it would have probably been sent to the corresponding 
package maintainer, not us.

> I find the package documentation to be still a bit confusing...

Agreed, I think d-m.o should explicitely state on their homepage that 
they provide an *unofficial repository*. Medibuntu has some nice 
statements on their homepage to make this clear. Additionally, the 
package descriptions should also mention that the package are 
unofficial. Maybe Christian Marillat reads this and eventually 
considers it...

 - Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660924; Package vlc. (Sat, 25 Feb 2012 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to james@nurealm.net:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sat, 25 Feb 2012 20:39:03 GMT) Full text and rfc822 format available.

Message #30 received at 660924@bugs.debian.org (full text, mbox):

From: James <james@jasper.nurealm.net>
To: Fabian Greffrath <fabian@greffrath.com>, 660924@bugs.debian.org, Christian Marillat <marillat@debian.org>, Reinhard Tartler <siretart@gmail.com>
Subject: package manager sees version 2.0.0-1 as "older" than version 1:1.1.13-0.0
Date: Sat, 25 Feb 2012 13:35:28 -0700
> In his response to your initial bug report #660814, the one that you took as
> motive for insulting him, Reinhard sent you a link to our Wiki that explains
> this very distinction. If you'd have read it, you'd know:
<http://wiki.debian.org/DebianMultimedia/FAQ#There_is_.27Debian_Multimedia_Maintainers.27_and_.27debian-multimedia.org.27._So_what.27s_the_difference.3F>

My bad - I plead "selective perception" while reading.  I appreciate you
providing the few words of context for the explanation, which, though simple
in retrospect, and obvious to Reinhard, made no sense at all at the time, for
me, starting with a false set of assumptions.

> In my (though limited) legal understanding the quoted passage restricts the
> use of the top-level domain "debian", e.g. debian.de or debian.co.uk.
> Nothing prevents you from randomly inserting the word "debian" into your
> TLD, e.g. debian-administration.org or debianforum.de.

My understanding would be that the courts would consider whether the use of a
registered trademark was likely to "mislead" or to be "misinterpreted" by the
average person.  For instance, "<famous-company>SUX.org" could reasonably be
seen as "editorial speech", while "<famous-company>SUPPORT.org" would be less
clear and, I believe, likely to mislead the average person.  I suppose that
"Debian" could authorize the use, by others, of their registered trademark,
but I also would expect that "casual" authorization would also be seen as an
"abandonment" of that trademark.

There is a brief discussion of "Passing-off", and "Reverse passing off",
http://en.wikipedia.org/wiki/Passing_off

Looking at the http://www.debian-multimedia.org/ home page itself, I notice
that the Debian "swirl" logo is prominently displayed on the navigation bar in
Iceweasel, and the logo is also used on the page itself, along-side a
copyright claim, at the bottom of the page.  But then, looking at
http://wiki.debian.org/DebianLogo, it appears that the Debian "swirl" logo is
not shown as a trademark, with the common law "TM" symbol, and is also not a
registered trademark.  Technically, I suppose that anybody could use it for
anything, especially since Debian is so "casual" about who uses the logo, or
for what purpose.

The Debian Logo page also claims that "The Debian Logo is Open Source Brand".
As best as I can tell, the phrase "Open Source Brand" is not a statutized or
common law term, and is interpreted by some people to mean "anybody can claim
to be associated with this brand".  Having it "both ways" - "It's all us" and
"It's not us" - is kind of awkward.

Well, it strikes me as "sloppy" and "inconsistent", but - hey - whatever.  You
guys do what you like.

> Furthermore, had you used "reportbug" to file the bug report (as
> recommended) it would have probably been sent to the corresponding package
> maintainer, not us.

I don't find "reportbug" to be very "transparent", and there is also this:

	$ reportbug
	**
	Gdk:ERROR:/build/buildd-gtk+2.0_2.24.10-1-i386-kBWRW9/gtk+2.0-2.24.10/gdk/gdkregion-generic.c:1123:miUnionNonO:
	assertion failed: (pReg->numRects<=pReg->size)
	Aborted

> Additionally, the package descriptions should also mention that the package
> are unofficial. Maybe Christian Marillat reads this and eventually considers
> it...

Yes, that would be nice.  But then, that _is_ something about which Debian
_could_ do, by itself, where, for instance, "dpkg -p" could display an
explicit "Package-Originator:" line for a package, distinct from the
"Maintainer:" line.  Of course, that goes back to the same "branding" issue,
requiring a recognised and exclusive trademark or tradename, as discussed.
But, at least that would be distinct from, and more obvious than, some random
"Maintainer Email Address", listed by "dpkg -p" under "Maintainer:", which
just happens to also be addressed to the very same "@debian.org", as you can
see is the case with "marillat@debian.org".

In general, I would suggest that these misunderstandings are all in the nature
of "obvious to those who already know the answer" and "counterintuitive to
those who do not already know the answer".  Presuming a common understanding
is very efficient for "insiders" and not so useful or effective with
"outsiders".  Of course, now, _I've_ been "clued-in" and will be wary.  Maybe
there are still some other people in the world who have not yet been.

"Why can't other people just 'get it'?!"  Well, handles are generally easy,
once you know what they are.  Even crows and raccoons catch on to handles.

Tradenames and trademarks...


James





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660924; Package vlc. (Sun, 04 Mar 2012 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergio Cipolla <secipolla@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 04 Mar 2012 21:39:04 GMT) Full text and rfc822 format available.

Message #35 received at 660924@bugs.debian.org (full text, mbox):

From: Sergio Cipolla <secipolla@gmail.com>
To: 660924@bugs.debian.org
Cc: fabian@greffrath.com
Subject: Very bad manners for a Debian maintainer.
Date: Sun, 4 Mar 2012 18:08:04 -0300
Fabian, who do you think you are to call d-m-o's packages as 'crappy'?
d-m-o is a traditional and very respected 3rd party repository for
Debian and has been for years.
I can't tell the same of you.
You know very well why it uses an epoch in their versioning: exactly
so as people that want/need to use the extra features/packages it
provides don't mix what shouldn't be mixed with the official Debian
packages.
I'm not sure if you're a Debian Maintainer or not (or worse, Debian
Developer) but this kind of big mouthing shouldn't be accepted from a
DM/DD.
If I find out the proper channel for this I'll raise this subject so
as the Debian contributors know that they should measure their words
otherwise they should step down (even a 'do-ocracy' has its limits).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660924; Package vlc. (Sun, 04 Mar 2012 22:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnout Engelen <arnouten@bzzt.net>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 04 Mar 2012 22:33:06 GMT) Full text and rfc822 format available.

Message #40 received at 660924@bugs.debian.org (full text, mbox):

From: Arnout Engelen <arnouten@bzzt.net>
To: Sergio Cipolla <secipolla@gmail.com>, 660924@bugs.debian.org
Cc: fabian@greffrath.com
Subject: Re: Bug#660924: Very bad manners for a Debian maintainer.
Date: Sun, 4 Mar 2012 23:30:44 +0100
On Sun, Mar 04, 2012 at 11:22:27PM +0100, Arnout Engelen wrote:
> > Fabian, who do you think you are to call d-m-o's packages as 'crappy'?
> 
> I'm not sure what you're referring to exactly. 

Oh, you were referring to a comment in bug #660814 - sorry, I didn't notice 
that.


Arnout




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660924; Package vlc. (Sun, 04 Mar 2012 22:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnout Engelen <arnouten@bzzt.net>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 04 Mar 2012 22:33:08 GMT) Full text and rfc822 format available.

Message #45 received at 660924@bugs.debian.org (full text, mbox):

From: Arnout Engelen <arnouten@bzzt.net>
To: Sergio Cipolla <secipolla@gmail.com>, 660924@bugs.debian.org
Cc: fabian@greffrath.com
Subject: Re: Bug#660924: Very bad manners for a Debian maintainer.
Date: Sun, 4 Mar 2012 23:22:27 +0100
On Sun, Mar 04, 2012 at 06:08:04PM -0300, Sergio Cipolla wrote:
> d-m-o is a traditional and very respected 3rd party repository for
> Debian and has been for years.
> I can't tell the same of you.
> I'm not sure if you're a Debian Maintainer or not (or worse, Debian
> Developer) but this kind of big mouthing shouldn't be accepted from a
> DM/DD.

Afaics Fabian is a DM doing work that deserves respect, such as maintaining
packages:

  http://qa.debian.org/developer.php?login=fabian@debian-unofficial.org

.. and explaining confusing situations like this one to people like James :).

> Fabian, who do you think you are to call d-m-o's packages as 'crappy'?
> If I find out the proper channel for this I'll raise this subject so
> as the Debian contributors know that they should measure their words
> otherwise they should step down (even a 'do-ocracy' has its limits).

I'm not sure what you're referring to exactly. Fabian did use some mildly
strong language, but if anything that was directed towards James and not
d-m-o, and in any case did not really seem that insulting. Indeed it doesn't
seem James took offense, so no harm done.


Kind regards,

Arnout




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660924; Package vlc. (Sun, 04 Mar 2012 22:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to 660924@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 04 Mar 2012 22:45:05 GMT) Full text and rfc822 format available.

Message #50 received at 660924@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Sergio Cipolla <secipolla@gmail.com>, 660924@bugs.debian.org
Subject: Re: Bug#660924: Very bad manners for a Debian maintainer.
Date: Sun, 4 Mar 2012 23:42:42 +0100
[Message part 1 (text/plain, inline)]
On 12-03-04 at 06:08pm, Sergio Cipolla wrote:
> Fabian, who do you think you are to call d-m-o's packages as 'crappy'?
> d-m-o is a traditional and very respected 3rd party repository for
> Debian and has been for years.
> I can't tell the same of you.

You are correct, Sergio: Debian never was as good a 3rd party repository 
for Debian as d-m-o.


> You know very well why it uses an epoch in their versioning: exactly 
> so as people that want/need to use the extra features/packages it 
> provides don't mix what shouldn't be mixed with the official Debian 
> packages.

Excellent.  But wait: ISn't this a bugreport?  Against Debian?!?

Seems to me that somewhere in all its excellence, d-m-o failed to 
separate and distinguish itself properly from Debian and broke 
something.  Or if d-m-o did not break but Debian did, then why on Earth 
use Debian - d-m-o is apparently much better _without_ Debian, no?


 - Jonas

One of those silly ones devoted to the boring Debian itself.

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660924; Package vlc. (Mon, 05 Mar 2012 08:33:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémi Denis-Courmont <remi@remlab.net>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 05 Mar 2012 08:33:46 GMT) Full text and rfc822 format available.

Message #55 received at 660924@bugs.debian.org (full text, mbox):

From: Rémi Denis-Courmont <remi@remlab.net>
To: Sergio Cipolla <secipolla@gmail.com>, <660924@bugs.debian.org>
Cc: <fabian@greffrath.com>
Subject: Re: Bug#660924: Very bad manners for a Debian maintainer.
Date: Mon, 05 Mar 2012 08:57:22 +0100
On Sun, 4 Mar 2012 18:08:04 -0300, Sergio Cipolla <secipolla@gmail.com>
wrote:
> Fabian, who do you think you are to call d-m-o's packages as 'crappy'?

They _are_ crappy. They have kept on breaking VLC, both upstream and
Debian's in my annoying and weird ways throughout the years. Fabian is
right.

> d-m-o is a traditional and very respected 3rd party repository for
> Debian and has been for years.

No. d-m-o is ignoring the Debian policy and breaking official Debian. It
is crap. Over.

If you want to break your Debian system with d-m-o, it is well within your
rights. But don't expect upstream VLC or Debian VLC to support this (and by
the way, I _am_ upstream).

-- 
Rémi Denis-Courmont





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660924; Package vlc. (Mon, 05 Mar 2012 08:39:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 05 Mar 2012 08:39:14 GMT) Full text and rfc822 format available.

Message #60 received at 660924@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Sergio Cipolla <secipolla@gmail.com>
Cc: 660924@bugs.debian.org
Subject: Re: Very bad manners for a Debian maintainer.
Date: Mon, 05 Mar 2012 09:36:20 +0100
Am 04.03.2012 22:08, schrieb Sergio Cipolla:
> Fabian, who do you think you are to call d-m-o's packages as 'crappy'?
> d-m-o is a traditional and very respected 3rd party repository for
> Debian and has been for years.
> I can't tell the same of you.

I think I am contributing long enough to Debian to be able to effort 
an opinion about others:
http://qa.debian.org/developer.php?login=fabian%2bdebian@greffrath.com

Who did you say you were?

> You know very well why it uses an epoch in their versioning: exactly
> so as people that want/need to use the extra features/packages it
> provides don't mix what shouldn't be mixed with the official Debian
> packages.

But they *do* mix. For example, d-m.o provides binary-imcompatible 
ffmpeg libraries that share SONAMEs with Debian's own. It simply 
breaks peoples' systems:
http://wiki.debian.org/DebianMultimedia/FAQ#Common_issues

> I'm not sure if you're a Debian Maintainer or not (or worse, Debian
> Developer) but this kind of big mouthing shouldn't be accepted from a
> DM/DD.

I am neither a DD nor a DM, just a regular contributor.

> If I find out the proper channel for this I'll raise this subject so
> as the Debian contributors know that they should measure their words
> otherwise they should step down (even a 'do-ocracy' has its limits).

Who do you think *you* are. You are not going to shut *me* up.

Oh, BTW, d-m.o packages are crap! ;)

 - Fabian






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660924; Package vlc. (Mon, 05 Mar 2012 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Debian NonFree <debian.nonfree@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 05 Mar 2012 14:39:03 GMT) Full text and rfc822 format available.

Message #65 received at 660924@bugs.debian.org (full text, mbox):

From: Debian NonFree <debian.nonfree@gmail.com>
To: 660924@bugs.debian.org
Subject: Bug#660924: Very bad manners for a Debian maintainer.
Date: Mon, 5 Mar 2012 15:37:40 +0100
Please Fabian give us an example of what is broken with d-m.o




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660924; Package vlc. (Mon, 05 Mar 2012 14:48:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 05 Mar 2012 14:48:13 GMT) Full text and rfc822 format available.

Message #70 received at 660924@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Debian NonFree <debian.nonfree@gmail.com>, 660924@bugs.debian.org
Subject: Re: Bug#660924: Very bad manners for a Debian maintainer.
Date: Mon, 05 Mar 2012 15:45:10 +0100
Am 05.03.2012 15:37, schrieb Debian NonFree:
> Please Fabian give us an example of what is broken with d-m.o

As if users being unable to upgrade their VLC package isn't enough.

For a recent example see e.g. here:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=652250





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660924; Package vlc. (Mon, 05 Mar 2012 15:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Debian NonFree <debian.nonfree@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 05 Mar 2012 15:09:10 GMT) Full text and rfc822 format available.

Message #75 received at 660924@bugs.debian.org (full text, mbox):

From: Debian NonFree <debian.nonfree@gmail.com>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 660924@bugs.debian.org
Subject: Re: Bug#660924: Very bad manners for a Debian maintainer.
Date: Mon, 5 Mar 2012 16:04:50 +0100
On Mon, Mar 5, 2012 at 3:45 PM, Fabian Greffrath <fabian@greffrath.com> wrote:
> Am 05.03.2012 15:37, schrieb Debian NonFree:
>
>> Please Fabian give us an example of what is broken with d-m.o
>
>
> As if users being unable to upgrade their VLC package isn't enough.
>
> For a recent example see e.g. here:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=652250

Two months old. At this time vlc was not packaged by d-m.o

Now vlc is installed from d-m.o so this "bug" doesn't exist.

Another recent example ?




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Apr 2012 07:39:00 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Andres Mejia <amejia004@gmail.com> to control@bugs.debian.org. (Sun, 22 Apr 2012 17:51:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions vlc/2.0.0-1. Request was from Andres Mejia <amejia004@gmail.com> to control@bugs.debian.org. (Sun, 22 Apr 2012 17:51:05 GMT) Full text and rfc822 format available.

Added tag(s) unreproducible. Request was from Andres Mejia <amejia004@gmail.com> to control@bugs.debian.org. (Sun, 22 Apr 2012 18:03:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 21 May 2012 07:34:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:09:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.